clang-tools 10.0.0

Namespaces | Functions
TestIndex.cpp File Reference
`#include "TestIndex.h"`
`#include "clang/Index/IndexSymbol.h"`
`#include "llvm/Support/Regex.h"`
Include dependency graph for TestIndex.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
Symbol | clang::clangd::symbol (llvm::StringRef QName)
static std::string | clang::clangd::replace (llvm::StringRef Haystack, llvm::StringRef Needle, llvm::StringRef Repl)
Symbol | clang::clangd::sym (llvm::StringRef QName, index::SymbolKind Kind, llvm::StringRef USRFormat)
Symbol | clang::clangd::func (llvm::StringRef Name)
Symbol | clang::clangd::cls (llvm::StringRef Name)
Symbol | clang::clangd::var (llvm::StringRef Name)
Symbol | clang::clangd::ns (llvm::StringRef Name)
SymbolSlab | clang::clangd::generateSymbols (std::vector< std::string > QualifiedNames)
SymbolSlab | clang::clangd::generateNumSymbols (int Begin, int End)
std::string | clang::clangd::getQualifiedName (const Symbol &Sym)
std::vector< std::string > | clang::clangd::match (const SymbolIndex &I, const FuzzyFindRequest &Req, bool *Incomplete)
std::vector< std::string > | clang::clangd::lookup (const SymbolIndex &I, llvm::ArrayRef< SymbolID > IDs)